# PanjabiPunjabi

@Serializable(with = IetfLangSerializer::class )
sealed interface PanjabiPunjabi : IetfLang (source)

#### Inheritors

Arab
Guru
Companion

## Types

Arab
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface Arab : IetfLang.PanjabiPunjabi
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.PanjabiPunjabi
Guru
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface Guru : IetfLang.PanjabiPunjabi

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale